## libwidgetutils 1.3.7-2%2b0m5

=== debian/changelog ===
libwidgetutils (1.3.7-2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 19 Aug 2009 19:03:10 +0300

libwidgetutils (1.3.7-2) unstable; urgency=low

  * Bump version for rebuilding with microb-engine (20090612-40)

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 18 Aug 2009 13:43:26 +0300

libwidgetutils (1.3.7-1) unstable; urgency=low

  * Fixes: NB#129648 Random nokia map crash 

 -- Egor Starkov <egor.starkov@nokia.com>  Tue, 11 Aug 2009 18:18:50 +0300

libwidgetutils (1.3.6-1) unstable; urgency=low

  * Fixes: NB#130597 libwidgetutils package are built with wrong optimization

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 11 Aug 2009 14:56:51 +0300

libwidgetutils (1.3.5-1) unstable; urgency=low

  * Fixes: NB#109914 scrollbar in conversation view incorrect and wrong margins

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 17 Jul 2009 10:17:41 +0300

libwidgetutils (1.3.4-1) unstable; urgency=low

  * Fixes for bug 124121, Fixed mouse down problem, possibly fixing 127986

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 15 Jul 2009 18:44:31 +0300

libwidgetutils (1.3.3-1) unstable; urgency=low

  * Fixes for bug 124121, Fixed mouse down problem, possibly fixing 127986

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 15 Jul 2009 18:03:05 +0300

libwidgetutils (1.3.2-2) unstable; urgency=low

  * Updated changelog

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 09 Jul 2009 16:47:47 +0300

libwidgetutils (1.3.2-1) unstable; urgency=low

  * Merge engine update

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 09 Jul 2009 15:35:01 +0300

libwidgetutils (1.3.1.2.6-1) unstable; urgency=low

  * Merge from widgetutils-webaddon up to 1.2.6-1
  * Fixed NB#121949 widgetutils ftbfs with engine update

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 08 Jul 2009 20:27:49 +0300

libwidgetutils (1.2.6-1) unstable; urgency=low

  * Fixes: NB#123221 Scrollbar indicator is not visible in SCV, removed logging

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 08 Jul 2009 08:53:36 +0300

libwidgetutils (1.2.5-2) unstable; urgency=low

  * Fixes: NB#123221 Scrollbar indicator is not visible in SCV, missing change

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 07 Jul 2009 23:57:29 +0300

libwidgetutils (1.2.5-1) unstable; urgency=low

  * Fixes: NB#123221 Scrollbar indicator is not visible in SCV

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 07 Jul 2009 23:46:11 +0300

libwidgetutils (1.2.3-1) unstable; urgency=low

  * Fixes: NB#108600 Browserd freezes in SMS Conversation View while panning.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 18 May 2009 18:16:54 +0300

libwidgetutils (1.2.2-3) unstable; urgency=low

  * Fixes: NB#115591 Screen panning is impossible and message text gets selected in Conversation View

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 11 May 2009 15:53:03 +0300

libwidgetutils (1.2.0-2) unstable; urgency=low

  * Rebuild against newer microb-engine

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 09 Apr 2009 17:50:02 +0300

libwidgetutils (1.2.0-1) unstable; urgency=low

  * Fixed proper support for PLUGIN_SUPPORT_ENABLED define, and disable it.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 25 Mar 2009 20:44:43 +0200

libwidgetutils (1.1.9-2) unstable; urgency=low

  * Rebuild against newer microb-engine

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Fri, 20 Mar 2009 13:00:44 +0200

libwidgetutils (1.1.9-1) unstable; urgency=low

  * Fixes: NB#102708 browserd server dies after opening messaging-ui single message view a few times

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 06 Mar 2009 14:00:13 +0200

libwidgetutils (1.1.8-7) unstable; urgency=low

  * Fixes: NB#95658 NO CSM menu on tap and hold on the web page

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri,  9 Jan 2009 08:58:46 +0200

libwidgetutils (1.1.8-6) unstable; urgency=low

  * Fixes: NB#96967 Interaction mode overlay control button does not behave properly when switching windows

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon,  5 Jan 2009 18:03:09 +0200

libwidgetutils (1.1.8-5) unstable; urgency=low

  * Fixes: NB#96311 Disable/enable panning mode button doesn't use icons

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon,  5 Jan 2009 17:53:25 +0200

libwidgetutils (1.1.8-4) unstable; urgency=low

  * Fixes: NB#96554 CSM should be available only from Panning mode

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri,  2 Jan 2009 16:53:27 +0200

libwidgetutils (1.1.8-3) unstable; urgency=low

  * Fixes: NB#94346  Tool tip not showing tips on hovering mode

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 29 Dec 2008 11:33:31 +0200

libwidgetutils (1.1.8-2) unstable; urgency=low

  * Fixes: NB#94618 Block zooming should be disabled while in manipulation mode (fix)

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 17 Dec 2008 17:24:10 +0200

libwidgetutils (1.1.8-1) unstable; urgency=low

  * Fixes: NB#96041	Panning indicators not shown always, old scrollbars visible in some cases

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 17 Dec 2008 13:58:17 +0200

libwidgetutils (1.1.7-1) unstable; urgency=low

  * Fixes: NB#95973 Scrollbars indicators are very small if page is too long

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 16 Dec 2008 17:08:55 +0200

libwidgetutils (1.1.6-1) unstable; urgency=low

  * Fixes: NB#95929 Scrollbar indicators not visible in zoomed mode 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 16 Dec 2008 15:48:29 +0200

libwidgetutils (1.1.5-2) unstable; urgency=low

  * Fixes: NB#95797 Browser crashes while closing

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 15 Dec 2008 16:23:38 +0200

libwidgetutils (1.1.5-1) unstable; urgency=low

  * Fixes: NB#94884 Scroll bars are always visible 


