=== debian/control ===
Source: libwidgetutils
Section: libs
Priority: optional
Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
Build-Depends: debhelper (>= 4.0.0), microb-engine-dev (>= 0.0.1-1), libidl-dev, quilt, bc, libgtk2.0-dev, libglib2.0-dev
Standards-Version: 3.6.0

Package: libwidgetutils-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, libwidgetutils (= ${Source-Version})
Description: Mozilla Web Engine.

Package: libwidgetutils
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mozilla Web Engine.

Package: libwidgetutils-dbg
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, libwidgetutils (= ${Source-Version})
Description: Mozilla Web Engine.
