## libwidgetutils 1.3.7.1-1%2b0m5

=== debian/changelog ===
libwidgetutils (1.3.7.1-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Fri, 13 Nov 2009 14:21:22 +0200

libwidgetutils (1.3.7.1-1) unstable; urgency=low

  * (From 1.4.0-3) Fixes: NB#139684 Copying text in sms conversation is
    not working properly

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 25 Sep 2009 09:06:43 +0300
