## libwidgetutils 1.4.1-6%2b0m5

=== debian/changelog ===
libwidgetutils (1.4.1-6+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 10 Feb 2010 20:54:29 +0200

libwidgetutils (1.4.1-6) unstable; urgency=low

  * Fixes: NB#153513 Rebuild with new toolchain

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 09 Feb 2010 20:24:52 +0200

libwidgetutils (1.4.1-4) unstable; urgency=low

  * Fixed NB#152063 Engine update version bump

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 30 Dec 2009 17:49:24 +0200

libwidgetutils (1.4.1-3) unstable; urgency=low

  * Fixes: NB#147389 Browserd leaks in iterative message addition

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 03 Dec 2009 15:51:16 +0200

libwidgetutils (1.4.1-2) unstable; urgency=low

  * Fixes: NB#145777, Bump version for engine update

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 10 Nov 2009 23:38:21 +0200

libwidgetutils (1.4.1-1) unstable; urgency=low

  * Bump version for engine update

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 01 Nov 2009 15:14:17 +0200

libwidgetutils (1.4.0-3) unstable; urgency=low

  * Fixes: NB#139684 Copying text in sms conversation is not working properly

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 25 Sep 2009 09:06:43 +0300

libwidgetutils (1.4.0-2) unstable; urgency=low

  * Fixes: NB#140334 Random browser crash at PanningMode::MouseClick while trying to use manipulation mode 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 24 Sep 2009 13:36:51 +0300

libwidgetutils (1.4.0-1) unstable; urgency=low

  * Wrong update

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 24 Sep 2009 13:33:33 +0300

libwidgetutils (1.3.9-2) unstable; urgency=low

  * Fixes: NB#127504 Updated to moz1.9.2, fix dep

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 14 Sep 2009 20:52:32 +0300

libwidgetutils (1.3.9-1) unstable; urgency=low

  * Fixes for 127504 Updated to moz1.9.2

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 30 Aug 2009 12:56:12 +0300
