=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), microb-engine-dev (>= 0.0.1-1), libidl-dev, quilt, bc, libgtk2.0-dev, libglib2.0-dev
+Build-Depends: debhelper (>= 4.0.0), microb-engine-dev (>= 20090912-1.9.2), libidl-dev, quilt, bc, libgtk2.0-dev, libglib2.0-dev
 Standards-Version: 3.6.0
 
 Package: libwidgetutils-dev
