## libwidgetutils 1.4.1-6.1%2b0m5

=== debian/changelog ===
libwidgetutils (1.4.1-6.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.4.1-6.1+0m5

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 02 Jun 2010 20:21:53 +0300

libwidgetutils (1.4.1-6.1) unstable; urgency=low

  * (From 1.4.1-8) Fixes: NB#162688 - browser components recompilation
    with G_DISABLE_CAST_CHECKS

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 12 Apr 2010 15:34:11 +0300
